Bug 173970 - iSCSI driver should not try reconnecting to a temporary redirect address
iSCSI driver should not try reconnecting to a temporary redirect address
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
Brian Brock
Depends On:
Blocks: 170417
  Show dependency treegraph
Reported: 2005-11-23 02:17 EST by Arpakorn Boonkongchuen
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:50:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Arpakorn Boonkongchuen 2005-11-23 02:17:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; en) Opera 8.50

Description of problem:
iSCSI driver should not try reconnecting to a temporary redirect address it has 
gotten from the configured portal address (in a login response PDU).  Instead, 
whenever there is a failure with the redirect address, the driver should switch 
back to try logging into the portal address.  This is more robust and will make 
recovery faster because the portal address is the place that has the most up-to-
date information about which target ports are available.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. iscsi driver logins to a target that responds with a temporary redirect.
2. iscsi driver logins to the redirect address.
3. disable the redirect port.

Actual Results:  The driver will retry logging into the redirect address for about 15 secs before 
going back to try logging into the configured portal address.

Expected Results:  The driver should not retry loggin into the redirect address at all.  It should 
immediately try logging into the configured portal address.

Additional info:
Comment 3 RHEL Product and Program Management 2007-10-19 14:50:42 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.